Back to Netrunner | Back to Blue Systems

[ Solved! ] ThunderBird Won't Start Anymore!

One of my NetRunners seems to be now affected by this and ThunderBird app doesn’t start:

https://forum.manjaro.org/t/unstable-thunderbird-broken-by-icu-60-1-update/35004

By checking " Octopi ", concerning installed packages are: < default-settings-thunderbird > and < thunderbird-kde >

Should I change something? Thanks.

Yes, it’s not starting because icu was updated, but firefox-kde and thunderbird-kde were compiled against the older version.

Now, to make a long story as short as possible, Thunderbird-kde and firefox-kde are no longer supported upstream and have been removed from the repositories. However, upstream forgot to add a replaces to the latest packages and thus doesn’t trigger the replacement to the standard versions, this has since been remedied and should be in the stable repositories on the next update. For now, you can either wait, or install the standard firefox and thunderbird packages, hitting Y when prompted to remove the kde editions of these.

Following day’s available upgrade (around December 23rd), the issue seems to be gone.

Season’s Greetings again!

Isn’t that what I said, “this has since been remedied and should be in the stable repositories on the next update”? The fixed Firefox and Thunderbird packages with the replaces lines were pushed to stable this morning. It took a bit of convincing to get them to fix this.

I’m glad to hear this works for you.
Season’s Greetings to you as well.